complexType "PeriodicPayment"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 8 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 8 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | paymentFrequency?, firstPeriodStartDate?, firstPaymentDate?, lastRegularPaymentDate?, rollConvention?, (fixedAmount? | fixedAmountCalculation?), adjustedPaymentDates*
</...>

Content Model Elements (8):

  adjustedPaymentDates, firstPaymentDate (in periodicPayment), firstPeriodStartDate (in periodicPayment), fixedAmount (in periodicPayment), | fixedAmountCalculation, lastRegularPaymentDate (in periodicPayment), paymentFrequency (in periodicPayment), rollConvention (in periodicPayment)

All Direct / Indirect Based Elements (1):

  periodicPayment

Known Usage Locations

- As direct type of elements (1):
  periodicPayment

Type Definition Detail

Type Derivation Tree PaymentBase (extension) PeriodicPayment

XML Source (w/o annotations (8); see within schema source)

<xsd:complexType name="PeriodicPayment"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:element minOccurs="0" name="paymentFrequency" type="Period"/> <xsd:element minOccurs="0" name="firstPeriodStartDate" type="xsd:date"/> <xsd:element minOccurs="0" name="firstPaymentDate" type="xsd:date"/> <xsd:element minOccurs="0" name="lastRegularPaymentDate" type="xsd:date"/> <xsd:element minOccurs="0" name="rollConvention" type="RollConventionEnum"/> <xsd:choice> <xsd:element minOccurs="0" name="fixedAmount" type="Money"/> <xsd:element minOccurs="0" name="fixedAmountCalculation" type="FixedAmountCalculation"/> </xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="adjustedPaymentDates" type="AdjustedPaymentDates"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 8/8)
adjustedPaymentDates

  Type: | AdjustedPaymentDates, complex content

  An optional cashflow-like structure allowing the equivalent representation of the periodic fixed payments in terms of a series of adjusted payment dates and amounts. This is intended to support application integration within an organisation and is not intended for use in inter-firm communication or confirmations. ISDA 2003 Term: Fixed Rate Payer Payment Date
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="adjustedPaymentDates" type="AdjustedPaymentDates"/>

firstPaymentDate

  Type: | xsd:date, predefined, simple content

  The first unadjusted fixed rate payer payment date. The applicable business day convention and business day are those specified in the dateAdjustments element within the generalTerms component (or in a transaction supplement FpML representation defined within the referenced general terms confirmation agreement). ISDA 2003 Term: Fixed Rate Payer Payment Date
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="firstPaymentDate" type="xsd:date"/>

firstPeriodStartDate

  Type: | xsd:date, predefined, simple content

  The start date of the initial calculation period if such date is not equal to the trade’s effective date. It must only be specified if it is not equal to the effective date. The applicable business day convention and business day are those specified in the dateAdjustments element within the generalTerms component (or in a transaction supplement FpML representation defined within the referenced general terms confirmation agreement).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="firstPeriodStartDate" type="xsd:date"/>

fixedAmount

  Type: | Money, complex content

  A fixed payment amount. ISDA 2003 Term: Fixed Amount
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixedAmount" type="Money"/>

fixedAmountCalculation

  Type: | FixedAmountCalculation, complex content

  This element contains all the terms relevant to calculating a fixed amount where the fixed amount is calculated by reference to a per annum fixed rate. There is no corresponding ISDA 2003 Term. The equivalent is Sec 5.1 "Calculation of Fixed Amount" but this in itself is not a defined Term.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixedAmountCalculation" type="FixedAmountCalculation"/>

lastRegularPaymentDate

  Type: | xsd:date, predefined, simple content

  The last regular unadjusted fixed rate payer payment date. The applicable business day convention and business day are those specified in the dateAdjustments element within the generalTerms component (or in a transaction supplement FpML representation defined within the referenced general terms confirmation agreement). This element should only be included if there is a final payment stub, i.e. where the last regular unadjusted fixed rate payer payment date is not equal to the scheduled termination date. ISDA 2003 Term: Fixed Rate Payer Payment Date
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="lastRegularPaymentDate" type="xsd:date"/>

paymentFrequency

  Type: | Period, complex content

  The time interval between regular fixed rate payer payment dates.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentFrequency" type="Period"/>

rollConvention

  Type: | RollConventionEnum, simple content

  Used in conjunction with the effectiveDate, scheduledTerminationDate, firstPaymentDate, lastRegularPaymentDate and paymentFrequency to determine the regular fixed rate payer payment dates.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "EOM" | - | Rolls on month end dates irrespective of the length of the month and the previous roll day. See: http://www.FpML.org
  "FRN" | - | Roll days are determined according to the FRN Convention or Eurodollar Convention as described in ISDA 2000 definitions. See: http://www.FpML.org
  "IMM" | - | IMM Settlement Dates. The third Wednesday of the (delivery) month. See: http://www.FpML.org
  "IMMCAD" | - | The last trading day/expiration day of the Canadian Derivatives Exchange (Bourse de Montreal Inc) Three-month Canadian Bankers' Acceptance Futures (Ticker Symbol BAX). The second London banking day prior to the third Wednesday of the contract month. If the determined day is a Bourse or bank holiday in Montreal or Toronto, the last trading day shall be the previous bank business day. Per Canadian Derivatives Exchange BAX contract specification. See: http://www.FpML.org
  "IMMAUD" | - | The last trading day of the Sydney Futures Exchange 90 Day Bank Accepted Bills Futures contract (see http://www.sfe.com.au/content/sfe/trading/con_specs.pdf). One Sydney business day preceding the second Friday of the relevant settlement month. See: http://www.FpML.org
  "IMMNZD" | - | The last trading day of the Sydney Futures Exchange NZ 90 Day Bank Bill Futures contract (see http://www.sfe.com.au/content/sfe/trading/con_specs.pdf). The first Wednesday after the ninth day of the relevant settlement month. See: http://www.FpML.org
  "SFE" | - | Sydney Futures Exchange 90-Day Bank Accepted Bill Futures Settlement Dates. The second Friday of the (delivery) month. See: http://www.sfe.com.au
  "NONE" | - | The roll convention is not required. For example, in the case of a daily calculation frequency. See: http://www.FpML.org
  "TBILL" | - | 13-week and 26-week U.S. Treasury Bill Auction Dates. Each Monday except for U.S. (New York) holidays when it will occur on a Tuesday. See: http://www.publicdebt.treas.gov
  "1" | - | Rolls on the 1st day of the month. See: http://www.FpML.org
  "2" | - | Rolls on the 2nd day of the month. See: http://www.FpML.org
  "3" | - | Rolls on the 3rd day of the month. See: http://www.FpML.org
  "4" | - | Rolls on the 4th day of the month. See: http://www.FpML.org
  "5" | - | Rolls on the 4th day of the month. See: http://www.FpML.org
  "6" | - | Rolls on the 6th day of the month. See: http://www.FpML.org
  "7" | - | Rolls on the 7th day of the month. See: http://www.FpML.org
  "8" | - | Rolls on the 8th day of the month. See: http://www.FpML.org
  "9" | - | Rolls on the 9th day of the month. See: http://www.FpML.org
  "10" | - | Rolls on the 10th day of the month. See: http://www.FpML.org
  "11" | - | Rolls on the 11th day of the month. See: http://www.FpML.org
  "12" | - | Rolls on the 12th day of the month. See: http://www.FpML.org
  "13" | - | Rolls on the 13th day of the month. See: http://www.FpML.org
  "14" | - | Rolls on the 14th day of the month. See: http://www.FpML.org
  "15" | - | Rolls on the 15th day of the month. See: http://www.FpML.org
  "16" | - | Rolls on the 16th day of the month. See: http://www.FpML.org
  "17" | - | Rolls on the 17th day of the month. See: http://www.FpML.org
  "18" | - | Rolls on the 18th day of the month. See: http://www.FpML.org
  "19" | - | Rolls on the 19th day of the month. See: http://www.FpML.org
  "20" | - | Rolls on the 20th day of the month. See: http://www.FpML.org
  "21" | - | Rolls on the 21st day of the month. See: http://www.FpML.org
  "22" | - | Rolls on the 22nd day of the month. See: http://www.FpML.org
  "23" | - | Rolls on the 23rd day of the month. See: http://www.FpML.org
  "24" | - | Rolls on the 24th day of the month. See: http://www.FpML.org
  "25" | - | Rolls on the 25th day of the month. See: http://www.FpML.org
  "26" | - | Rolls on the 26th day of the month. See: http://www.FpML.org
  "27" | - | Rolls on the 27th day of the month. See: http://www.FpML.org
  "28" | - | Rolls on the 28th day of the month. See: http://www.FpML.org
  "29" | - | Rolls on the 29th day of the month. See: http://www.FpML.org
  "30" | - | Rolls on the 30th day of the month. See: http://www.FpML.org
  "MON" | - | Rolling weekly on a Monday. See: http://www.FpML.org
  "TUE" | - | Rolling weekly on a Tuesday. See: http://www.FpML.org
  "WED" | - | Rolling weekly on a Wednesday. See: http://www.FpML.org
  "THU" | - | Rolling weekly on a Thursday. See: http://www.FpML.org
  "FRI" | - | Rolling weekly on a Friday. See: http://www.FpML.org
  "SAT" | - | Rolling weekly on a Saturday. See: http://www.FpML.org
  "SUN" | - | Rolling weekly on a Sunday. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rollConvention" type="RollConventionEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.